#ifndef __TYPEDEFS_H__
#define __TYPEDEFS_H__

#define FALSE  0
#define TRUE	-1

typedef unsigned char   boolean;

#define to_boolean(b)   (((b) != 0) ? TRUE : FALSE)

typedef enum {
  IDLE,
  PLAYWAVE,
	RECORDWAVE,
	DTMFDETECT,
	FSKINIT,
	FSK,
	FSKEND,
  SENDTONE
}dspmodes;

typedef enum {
  NOTDONE,
  INPROGRESS,
	VALID
}cidmodes;

// datatype definitions macros
typedef unsigned char  u08;
typedef   signed char  s08;
typedef unsigned short u16;
typedef   signed short s16;
typedef unsigned long  u32;
typedef   signed long  s32;

#endif
